<!-- Main Content -->
<div class="container-fluid">
	<div class="side-body">
		<div class="page-title">
			<span class="title">Buat Laporan Baru</span>
		</div>
		<div class="row">
			<div class="col-xs-12">
				<div class="card">
					<div class="card-body">
						<%= form_for [:admin, @report], { :class => 'form-horizontal' } do |form| %>
						<% if @report.errors.any? %>
						<div class="alert fresh-color alert-danger" role="alert">
							<ul>
								<% @report.errors.full_messages.each do |message| %>
								<li>
									<strong><%= message %></strong>
								</li>
								<% end %>
							</ul>
						</div>
						<% end %>
						<div class="sub-title">Tanggal</div>
						<div class="form-group">
							<div class='input-group date' id='datetimepicker1'>
								<%= form.text_field :timestamp, class: 'form-control', placeholder: 'Time' %>
								<span class="input-group-addon">
									<span class="glyphicon glyphicon-calendar"></span>
								</span>
							</div>
						</div>
						<div class="sub-title">Jumlah Karkas dan Berat Awal Daging</div>
						<%= form.fields_for :result, @result do |result_form| %>
								<div class="form-group">
									<div class="col-xs-12">
										<div class="sub-title">Jumlah Karkas</div>
									</div>
									<div class="col-xs-12">
										<%= result_form.number_field :total_karkas, min: 0, class: 'form-control', placeholder: 'Jumlah Karkas'  %>
									</div>
								</div>
								<div class="clearfix"></div>
								<br>
								<div class="form-group">
									<div class="col-xs-12">
										<div class="sub-title">Berat Awal</div>
									</div>
									<div class="col-xs-12">
										<%= result_form.number_field :total_meat, min: 0, class: 'form-control', placeholder: 'Berat Awal Daging'  %>
									</div>
								</div>
						<% end %>
						<div class="clearfix"></div>
						<br>
						<div class="panel panel-default">
							 <div class="panel-heading" role="tab" id="headingOne">
								 <h4 class="panel-title">
									 <a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
										 <span class="glyphicon glyphicon-list" aria-hidden="true"></span>&nbsp; Input Data Boning
									 </a>
								 </h4>
							 </div>
							 <div id="collapseOne" class="panel-collapse collapse in" role="tabpanel" aria-labelledby="headingOne">
									<div class="panel-body">
										<div class="clearfix"></div>
										<%= form.fields_for :muttons do |ff| %>
											<% unless ff.object.id.nil? %>
												<%= ff.hidden_field :id, :value => ff.object.id %>
											<% end %>
											<%= ff.hidden_field :property_id, :value => ff.object.property_id %>
											<div class="sub-title"><%= ff.object.try(:property).try(:name).try(:capitalize) %> (<%= ff.object.try(:property).try(:code) %>)</div>
											<div class="form-group">
												<label class="col-sm-1">Jumlah Kg</label>
												<div class="col-sm-4">
													<%= ff.number_field :total_kg, min: 0, class: 'form-control', placeholder: 'Jumlah Kg'  %>
												</div>
											</div>
											<div class="form-group">
												<label class="col-sm-1 control-label">Jumlah Dus</label>
												<div class="col-sm-4">
													<%= ff.number_field :total_box, min: 0, class: 'form-control', placeholder: 'Jumlah Dus'  %>
												</div>
											</div>
											<div class="clearfix"></div>
										<% end %>
							 	 	</div>
							 </div>
						</div>
						<div class="clearfix"></div>
						<%= link_to 'Back', admin_reports_path, class: "btn btn-sm btn-default" %>
						<button type="submit" class="btn btn-sm btn-info">Submit</button>
						<% end %>
					</div>
				</div>
			</div>
		</div>
	</div>
	<script type="text/javascript">
		$(function () {
			$('#datetimepicker1').datetimepicker({format: "YYYY-MM-DD HH:mm", defaultDate: moment().format("YYYY-MM-DD HH:mm:ss"), useCurrent: true});
		});
		$('#collapseOne').collapse("hide");
	</script>
